

.race-inputs {
    margin-top: 15px;
    margin-right: 10px; 
    margin-left: 10px;
}



.icon-color {

  filter: brightness(0) invert(1);
}

.form-field {
  display: flex;
  flex-direction: column;
  align-items: flex-start; /* <-- aligne label et input à gauche */
}

.form-field label {
  display: block;
  margin-bottom: 6px;
  color: whitesmoke;
  text-align: left; /* <-- s'assure que le texte du label est aligné à gauche */
}
  .race-hero { display:flex; gap:24px; align-items:center;justify-content: flex-start;text-align: center; flex-wrap:wrap;   }
  .race-hero-text { display: flex; color: var(--primary-color); 
    flex-direction: column;
    align-items: center; width: 100%; color: whitesmoke;}
  .race-hero-image { flex:0 0 320px; }

  .form-grid { display:grid; grid-template-columns: repeat(auto-fit, minmax(200px, 1fr)); gap:12px; }
  
  .form-field input, .form-field select , .form-field datetime-local { width:100%; padding:8px 10px;  border: 0px; border-radius:8px; background-color: white;  font-size: 16px; height: 2.3rem;}

/*forcer pour mobile safari IOS*/
  #departureDateTime, #watch {
  width: 100%;
  padding: 8px;
  border-radius: 6px;
  font-size: 16px;
  border: 0px;
  background-color: white; /* le fond de l'input */
  color: #000;            /* le texte */
  font-size: 1rem;
  -webkit-appearance: none; /* supprime certaines apparences natives */
}





/* Container */
.form-field-bib {
  display: flex;
  justify-content: center;
  margin: 40px 0;
}

/* Input BIB */
.form-field-bib input {
  width: 320px;
  max-width: 90%;
  padding: 18px 20px;
  font-size: 22px;
  font-weight: 700;
  text-align: center;
  letter-spacing: 1px;

  color: #ffffff;
  background: linear-gradient(180deg, #1b1f26, #0f1218);
  border: 2px solid #2a2f3a;
  border-radius: 14px;

  outline: none;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
  transition: all 0.25s ease;
}

/* Placeholder */
.form-field-bib input::placeholder {
  color: #8b92a6;
  font-weight: 500;
  letter-spacing: 0.5px;
}

/* Focus */
.form-field-bib input:focus {
  border-color: var(--accent-color);
  box-shadow:
    0 0 0 3px rgba(24, 178, 255, 0.25),
    0 12px 35px rgba(0, 0, 0, 0.6);
  transform: translateY(-1px);
}

/* Remove arrows (Chrome, Edge, Safari) */
.form-field-bib input::-webkit-outer-spin-button,
.form-field-bib input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Remove arrows (Firefox) */
.form-field-bib input[type=number] {
  -moz-appearance: textfield;
}
